Skip to main content
GET
/
containers
/
{container_id}
/
custom_fields
List container custom fields
curl --request GET \
  --url https://api.terminal49.com/v2/containers/{container_id}/custom_fields \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.terminal49.com/v2/containers/{container_id}/custom_fields"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.terminal49.com/v2/containers/{container_id}/custom_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "custom_field",
      "attributes": {
        "api_slug": "<string>",
        "value": "<string>",
        "display_value": "<string>"
      },
      "relationships": {
        "entity": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "definition": {
          "data": {
            "type": "custom_field_definition",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ],
  "links": {
    "last": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "first": "<string>",
    "self": "<string>"
  },
  "meta": {
    "size": 123,
    "total": 123
  }
}
Lists all custom fields attached to a specific container.

Path parameters

ParameterRequiredDescription
container_idYesThe ID of the container

Authorization

Requires show permission on the container.

Response

Returns a JSONAPI array of custom field resources including:
  • value - The raw stored value
  • display_value - Formatted value for display
  • Relationships to the definition and user who last updated the field

Authorizations

Authorization
string
header
required

Use a Terminal49 API key in the Authorization header with the Token prefix.

Authorization: Token YOUR_API_KEY

Path Parameters

container_id
string
required

Container ID

Response

200 - application/json

OK

data
Custom field · object[]
meta
meta · object